/***********************************************************************\
* NLED Text Editor Copyright 1987-2003, Evan Alexander Weaver           *
*                                                                       *
* This source code, and the associated executable programs obtained by  *
* compiling it, are published under the GNU General Public License. See *
* the accompanying file "nled.txt" for the details of this license and  *
* some other comments about NLED and this source code.                  *
*                                                                       *
* File: NLED.H                            Date Last Modified: 15-Feb-02 *
*                                                                       *
* Standard #definitions for NLED.                                       *
* 04-Apr-94: added LASTPCHAR                                            *
* 20-Mar-95: Linux port                                                 *
* 08-Jul-96: Win95 port                                                 *
* 15-Feb-02: added MAX_FILE for file name lengths                       *
\***********************************************************************/

/*******************************************************************\
* IMPORTANT!! The next two sections (5 #defines) drive most of the  *
*   compiler dependent code in NLED (see qkdisp.c for the rest).    *
* You will have to set the #define values MANUALLY before compiling *
\*******************************************************************/

/* Environments: Set the current one to 1, others to 0 (Zortech was the *\
\* original DOS compiler used, WIN95 means Windows, a.k.a. Win32)       */
#define ZORTECH 0
#define WIN95   0
#define UNIX    1

/* If UNIX is 1 above, try setting one of these to 1 also */
#define LINUX   1
#define AIX     0



/* You probably won't have to change the code below unless you are porting *\
\* to a new platform.                                                      */

/* Normal function return codes */
#define OK 0
#define ERR 1
#define ESCHIT -1

/* Readability flags */
#define TRUE 1
#define FALSE 0

/* Text file access modes - TEXTZ means write a Ctl/Z at end of file */
#define TEXT  1
#define TEXTZ 2

/* Sizes: maximum index for prompt messages, screen size */
#define MAX_PM 49
#define MAX_ROWS 300
#define MAX_FILE 259

/* pick the appropriate size for INDEXs into the data */
#if ZORTECH
    #ifdef __SMALL__
	/* Small memory model of Zortech implies the shareware version */
	#define SHAREWARE
	typedef int INDEX;
    #else
	typedef long INDEX;
    #endif
    /* Also, allow the PC version to key in characters up to ASCII 255 */
    /* which enables drawing of boxes with Alt key combos, and use of  */
    /* some Chinese character drawers                                  */
    #define LASTPCHAR 255
#elif WIN95
    typedef long INDEX;
    #define LASTPCHAR 255
#else
    typedef long INDEX;
    /* Last printable character is 126 */
    #define LASTPCHAR '~'
#endif

/* 05-Oct-91: new macros needed since they diappeared from Zortech's stdio.h */
#ifndef max
#define max(x, y) (((x) > (y)) ? (x) : (y))
#endif
#ifndef min
#define min(x, y) (((x) > (y)) ? (y) : (x))
#endif

/*----------------------------END-OF-NLED.H----------------------------*/
